## xraylarch 0.9.58+ds1

=== requirements.txt ===
# List of all dependencies of larch
# Recommended installation with conda:
# conda install -yc conda-forge wxpython tomopy
# pip install xraylarch
packaging
pip
pyyaml
pytest
termcolor
scipy>=1.5
numpy>=1.18
matplotlib>=3.0
sqlalchemy>=1.0
h5py>=2.8
pillow>=8.3.2
imageio
peakutils
requests
scikit-image
scikit-learn
asteval>=0.9.22
lmfit>=1.0.2
uncertainties>=3.1
pyshortcuts>=1.7.2
xraydb>=4.4
silx>=0.15.2
hdf5plugin
numdifftools
psutil
pymatgen
importlib_metadata

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
BUILDDIR      = _build

INSTALLDIR = ../downloads/

# Internal variables.
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
.PHONY: all install

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub


pdf: latex
	cd $(BUILDDIR)/latex && pdflatex larch.tex
	cd $(BUILDDIR)/latex && makeindex -s python.ist larch.idx
	cd $(BUILDDIR)/latex && pdflatex larch.tex
	cp -pr $(BUILDDIR)/latex/larch.pdf $(BUILDDIR)/.

all: html pdf

install: all
	rm -rf  $(INSTALLDIR)/doc_old
	mv  $(INSTALLDIR)/doc  $(INSTALLDIR)/doc_old
	cp -pr  $(BUILDDIR)/html $(INSTALLDIR)/doc
	cp -pr main_index.html  $(INSTALLDIR)/index.html

test: html
	rm -rf  $(INSTALLDIR)/doc_test
	cp -pr  $(BUILDDIR)/html $(INSTALLDIR)/doc_test
	cp -pr main_index.html  $(INSTALLDIR)/index.html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== dylibs/CromerLiberman/Makefile ===
#
#     == Makefile for Cromer-Liberman library ==
#
# you may want to customize these two items:
#
# -1- how to invoke the fortran compiler
#     -A- on systems with a "real" fortran compiler, you may want
#         to add more options or more optimaztion, but the rest
#         should be OK

include Mk.config
include Mk.install

INSTALLNAME = cldata
STATICLIB   = $(DLLPRE)$(INSTALLNAME).a
SHAREDLIB   = $(DLLPRE)$(INSTALLNAME).$(DLLEXT)

.f.o:
	$(F77) -c $*.f

.PHONY: clean install default

default: $(SHAREDLIB)

SRC = clcalc.f cromer.f crolib.f cl_f1f2.c
INC = cldata.f
OBJ = clcalc.o cromer.o crolib.o cl_f1f2.o

clcalc.o:  cldata.f

$(SHAREDLIB): $(OBJ)
	$(LINK) -o $(SHAREDLIB) $(OBJ) $(LINK_FFLAGS) $(LINK_CFLAGS)

$(STATICLIB): $(OBJ)
	$(AR) cru $(STATICLIB) $(OBJ)
	$(RANLIB) $(STATICLIB)

clean :
	rm -f $(OBJ)  $(STATICLIB) $(SHAREDLIB)

install: $(SHAREDLIB)
	cp $(SHAREDLIB) $(INSTALLDIR)/.

distrib:
	mkdir -p src/
	cp $(SRC) $(INC)  src/
	cp $(MAKEFILE) src/Makefile
	tar czvf $(INSTALLNAME)-src.tar.gz src/

=== dylibs/XDI/Makefile ===
#
# Makefile for XDIFile C library
#

include Mk.config
include Mk.install

INSTALLNAME = xdifile
STATICLIB   = $(DLLPRE)$(INSTALLNAME).a
SHAREDLIB   = $(DLLPRE)$(INSTALLNAME).$(DLLEXT)

.f.o:
	$(F77) -c $*.f

.PHONY: clean install default

default: $(SHAREDLIB)

LINK_FFLAGS  =
LINK         = gcc -O2 $(ARCH_TARGS) -fPIC -shared
XDIHEADERS = strutil.h xdifile.h

OBJ  = xdifile.o strutil.o slre.o

SHARED = $(CCOPTS) -shared
LINKXDIF = -L$(libdir) -L. -lxdifile

strutil.o: strutil.h
xdifile.o: xdifile.h strutil.h slre.h
slre.o:  slre.h

$(SHAREDLIB): $(OBJ)
	@rm -f $@
	$(LINK) -o $(SHAREDLIB) $(OBJ) $(LINK_FFLAGS) $(LINK_CFLAGS)

$(STATICLIB): $(OBJ)
	$(AR) cru $(STATICLIB) $(OBJ)
	$(RANLIB) $(STATICLIB)

clean :
	rm -f $(OBJ)  $(STATICLIB) $(SHAREDLIB)

install: $(SHAREDLIB)
	cp $(SHAREDLIB) $(INSTALLDIR)/.

=== examples/xraytable/Makefile ===
# Makefile for xray periodic table

TARGET = xray_table

.PHONY: pdf clean distclean

pdf:
	make $(TARGET).pdf

atoms.tex:  gen_atoms.py
	python gen_atoms.py > atoms.tex

$(TARGET).pdf: atoms.tex $(TARGET).tex elines.tex
	pdflatex $(TARGET)

clean:
	rm -f *.log *.aux *.pyc *.synctex.gz

distclean:
	make clean
	rm -f $(TARGET).pdf atoms.tex

=== debian/changelog ===
xraylarch (0.9.58+ds1-5) unstable; urgency=medium

  [ Neil Williams ]
  * Fix missing feff85exafs runtime dependency
  * Remove unnecessary B-D on python3-nose (Closes: #1018669)

  [ Sébastien Delafond ]
  * d/control: add Freexian Packaging Team to Uploaders

  [ Andrius Merkys ]
  * Remove build dependency on python-numpy-doc (Closes: #1028705)

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Jan 2023 06:24:46 -0500

xraylarch (0.9.58+ds1-4) unstable; urgency=medium

  * Team upload.
  * Restrict autopkgtest to amd64 only, same as pkg.

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Jul 2022 17:57:26 +0100

xraylarch (0.9.58+ds1-3) unstable; urgency=medium

  * Team upload.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove deprecated Encoding key from desktop files: debian/larch-cli.desktop,
    debian/larch-gsemapviewer.desktop, debian/larch-gui.desktop,
    debian/larch-xasviewer.desktop, debian/larch-xrfdisplay.desktop.
  * Explicitly add pyepics to runtime dependencies as it's extra in
    upstream but required in this build.
  * Limit autopkgtest to avoid missing dependencies
  * Disable autopkgtest-pkg-python due to missing dependencies on s390x
  * Rename Larch CLI as /usr/bin/larch_cli to avoid clash with unrelated
    executable already in Debian. (Closes: #1014942)
  * Restrict to amd64 only for EPICS support

 -- Neil Williams <codehelp@debian.org>  Tue, 12 Jul 2022 18:23:14 +0100

xraylarch (0.9.58+ds1-2) unstable; urgency=medium

  * Team upload.
  * Update d.copyright

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Jul 2022 10:13:20 +0100

xraylarch (0.9.58+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release with Python3.10 support.
  * DFSG repack to remove precompiled Feff8L binaries
  * Fix typo in d.copyright to exclude DFSG files
  * Drop previous patches with new upstream release
  * Initial release. (Closes: #949126: RFP: xraylarch -- X-ray
    absorption, fluorescence spectroscopy and diffraction data analysis)
  * Add WXPython support

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Jul 2022 08:25:03 +0100

xraylarch (0.9.51-1) UNRELEASED; urgency=medium

  [ Andrius Merkys ]
  * Adding VCS-* tags.
  * Filling in homepage and package descriptions.
  * Placing under team maintenance.

  [ Sébastien Delafond ]
  * d/watch
  * d/copyright
  * d/gbp.conf
  * d/rules: remove boilerplate
  * TOREVERT: wx* and pyshortcuts
  * d/watch: update URL
  * New upstream version 0.9.51

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 May 2021 16:37:05 +0200

=== debian/control ===
Source: xraylarch
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Andrius Merkys <merkys@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Freexian Packaging Team <team+freexian@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all,
 feff85exafs,
 python3-setuptools-scm,
 python3-scipy,
 python3-numpy,
 python3-matplotlib,
 python3-sqlalchemy,
 python3-h5py,
 python3-pil,
 python3-peakutils,
 python3-requests,
 python3-psycopg2,
 python3-skimage,
 python3-sklearn,
 python3-asteval,
 python3-lmfit,
 python3-uncertainties,
 python3-pyepics,
 python3-xraydb,
 python3-pymatgen,
 python3-wxgtk4.0,
 python3-wxutils,
 python3-wxmplot,
 python3-yaml,
 python3-psutil,
 python3-termcolor,
 python3-silx,
 python3-fabio,
 python3-pyfai,
 python3-pycifrw,
 python3-pybtex <!nodoc>,
 python3-sphinxcontrib.bibtex <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
Standards-Version: 4.6.1
Homepage: https://xraypy.github.io/xraylarch/
Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git

Package: python3-xraylarch
Architecture: amd64
Depends: feff85exafs, python3-psycopg2, python3-pyepics, ${python3:Depends}, ${misc:Depends}
Suggests: python-xraylarch-doc
Description: X-ray absorption, fluorescence spectroscopy and diffraction data analysis
 Larch is a library and set of applications for processing and analyzing X-ray
 absorption and fluorescence spectroscopy data and X-ray fluorescence and
 diffraction image data from synchrotron beamlines.
 .
 Larch is especially focussed  on X-ray absorption fine-structure spectroscopy
 (XAFS) including X-ray  absorption near-edge spectroscopy (XANES) and extended
 X-ray absorption fine-structure spectroscopy (EXAFS). It also supports
 visualization and  analysis tools for X-ray fluorescence (XRF) spectra and XRF
 and X-ray diffraction (XRD) images as collected at scanning X-ray microprobe
 beamlines.
 .
 This package installs the larch module and scripts for Python 3.
 .
  * GSE MapViewer for GSECARS X-ray microprobe data.
  * Larch CLI and Gtk GUI.
  * XAS Viewer for XAFS Processing and Analysis.
  * XRF Display to display and analyze XRF Spectra.
 .
 The Larch CLI is available as larch_cli in Debian.

Package: python-xraylarch-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: X-ray Larch data analysis (documentation)
 Larch is a library and set of applications for processing and analyzing X-ray
 absorption and fluorescence spectroscopy data and X-ray fluorescence and
 diffraction image data from synchrotron beamlines.
 .
 Larch is especially focussed  on X-ray absorption fine-structure spectroscopy
 (XAFS) including X-ray  absorption near-edge spectroscopy (XANES) and extended
 X-ray absorption fine-structure spectroscopy (EXAFS). It also supports
 visualization and  analysis tools for X-ray fluorescence (XRF) spectra and XRF
 and X-ray diffraction (XRD) images as collected at scanning X-ray microprobe
 beamlines.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xraylarch

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html doc build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p python-xraylarch-doc
endif

override_dh_auto_install:
	dh_auto_install
	$(RM) debian/python3-xraylarch/usr/bin/feff6l
	$(RM) debian/python3-xraylarch/usr/bin/feff8l
	find -name gse_xrfmap.ico -exec chmod 0644 {} \;
	find examples/ -executable -type f -exec chmod 0644 {} \;
	dh_install -p python3-xraylarch debian/*.desktop ./usr/share/applications/

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete
	$(RM) -r .eggs/ log*.dat
	$(RM) -r xraylarch.egg-info

=== debian/tests/control ===
Tests: testsuite
Architecture: amd64
Depends: @, python-xraylarch-doc, python3-pytest
Restrictions: allow-stderr

## xraylarch 0.9.71+ds1

=== requirements.txt ===
# List of all dependencies of larch
# Recommended installation with conda:
# conda install -yc conda-forge wxpython tomopy
# pip install xraylarch
packaging
pip
pyyaml
toml
pytest
termcolor
scipy>=1.7
numpy>=1.20
matplotlib>=3.5
sqlalchemy>=2.0
sqlalchemy_utils
h5py>=3.2
pillow>=8.3.2
psycopg2-binary
dill
imageio
charset-normalizer
peakutils
requests
scikit-image
scikit-learn
asteval>=0.9.28
lmfit>=1.2.0
uncertainties>=3.1
pyshortcuts>=1.9.0
xraydb>=4.5
silx>=0.15.2
hdf5plugin
numdifftools
psutil
pymatgen
fabio
pyfai
pycifrw
importlib_metadata; python_version < '3.8'

=== debian/changelog ===
xraylarch (0.9.71+ds1-1) unstable; urgency=medium

  * New upstream version 0.9.71+ds1
  * Update standards version to 4.6.2, no changes needed.
  * Bug fix: "FTBFS with Sphinx 7.1, docutils 0.20: TypeError: not all
    arguments converted during string formatting", thanks to Lucas
    Nussbaum (Closes: #1042669).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Aug 2023 21:27:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,51 +6,65 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Andrius Merkys <merkys@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Freexian Packaging Team <team+freexian@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all,
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  feff85exafs,
+ python-scipy-doc <!nodoc>,
+ python3-all,
+ python3-asteval,
+ python3-doc <!nodoc>,
+ python3-fabio,
+ python3-h5py,
+ python3-lmfit,
+ python3-matplotlib,
+ python3-numpy,
+ python3-peakutils,
+ python3-pil,
+ python3-psutil,
+ python3-psycopg2,
+ python3-pybtex <!nodoc>,
+ python3-pycifrw,
+ python3-pyepics,
+ python3-pyfai,
+ python3-pymatgen,
+ python3-requests,
+ python3-scipy,
+ python3-setuptools,
  python3-setuptools-scm,
- python3-scipy,
- python3-numpy,
- python3-matplotlib,
- python3-sqlalchemy,
- python3-h5py,
- python3-pil,
- python3-peakutils,
- python3-requests,
- python3-psycopg2,
+ python3-silx,
  python3-skimage,
  python3-sklearn,
- python3-asteval,
- python3-lmfit,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.bibtex <!nodoc>,
+ python3-sqlalchemy,
+ python3-termcolor,
+ python3-toml,
  python3-uncertainties,
- python3-pyepics,
+ python3-wxgtk4.0,
+ python3-wxmplot,
+ python3-wxutils,
  python3-xraydb,
- python3-pymatgen,
- python3-wxgtk4.0,
- python3-wxutils,
- python3-wxmplot,
  python3-yaml,
- python3-psutil,
- python3-termcolor,
- python3-silx,
- python3-fabio,
- python3-pyfai,
- python3-pycifrw,
- python3-pybtex <!nodoc>,
- python3-sphinxcontrib.bibtex <!nodoc>,
- python3-sphinx <!nodoc>,
- python3-doc <!nodoc>,
- python-scipy-doc <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://xraypy.github.io/xraylarch/
 Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
 Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git
 
 Package: python3-xraylarch
 Architecture: amd64
-Depends: feff85exafs, python3-psycopg2, python3-pyepics, ${python3:Depends}, ${misc:Depends}
-Suggests: python-xraylarch-doc
+Depends:
+ feff85exafs,
+ python3-psycopg2,
+ python3-pyepics,
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-xraylarch-doc,
 Description: X-ray absorption, fluorescence spectroscopy and diffraction data analysis
  Larch is a library and set of applications for processing and analyzing X-ray
  absorption and fluorescence spectroscopy data and X-ray fluorescence and
@@ -76,7 +90,9 @@
 Architecture: all
 Section: doc
 Multi-Arch: foreign
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: X-ray Larch data analysis (documentation)
  Larch is a library and set of applications for processing and analyzing X-ray
  absorption and fluorescence spectroscopy data and X-ray fluorescence and

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=xraylarch

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_auto_clean:
	find . -name "*.pyc" -delete
	$(RM) -rf .eggs/ log*.dat
	$(RM) -rf xraylarch.egg-info
	$(RM) -rf doc/_build

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	# build the doc
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	SPHINXBUILD="python3 -m sphinx" \
	SPHINXOPTS="-D mathjax_path=MathJax.js" \
	$(MAKE) -C doc html
endif

execute_after_dh_auto_install:
	$(RM) debian/python3-xraylarch/usr/bin/feff6l
	$(RM) debian/python3-xraylarch/usr/bin/feff8l
	find -name gse_xrfmap.ico -exec chmod 0644 {} \;
	find examples/ -executable -type f -exec chmod 0644 {} \;
	dh_install -p python3-xraylarch debian/*.desktop ./usr/share/applications/

# not test for now
override_dh_auto_test:

## xraylarch 0.9.74+ds1

=== debian/changelog ===
xraylarch (0.9.74+ds1-1) unstable; urgency=medium

  * New upstream version 0.9.74+ds1
  * d/patches: refresh all the patch series for the new version
  * d/control: Do not depends on python3-sqlalchemy (>= 2.0)
  * d/control: Added pybuild-plugin-pyproject.
  * d/patches: fixed a SyntaxError.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Dec 2023 17:30:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,41 +14,58 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  feff85exafs,
+ jupyter-client,
+ jupyter-core (>= 5.0),
+ jupyter-nbformat,
+ jupyter-notebook,
+ jupyter-server,
+ pybuild-plugin-pyproject,
  python-scipy-doc <!nodoc>,
  python3-all,
- python3-asteval,
+ python3-asteval (>= 0.9.28),
+ python3-charset-normalizer,
+ python3-dill,
  python3-doc <!nodoc>,
  python3-fabio,
- python3-h5py,
- python3-lmfit,
- python3-matplotlib,
- python3-numpy,
+ python3-h5py (>= 3.2),
+ python3-hdf5plugin,
+ python3-imageio,
+ python3-ipywidgets,
+ python3-lmfit (>= 1.2.1),
+ python3-matplotlib (>= 3.5),
+ python3-mp-api,
+ python3-numexpr (>= 2.8.7),
+ python3-numpy (>= 1.20),
+ python3-numpydoc <!nodoc>,
+ python3-pandas,
  python3-peakutils,
- python3-pil,
+ python3-pil (>= 8.3.2),
+ python3-plotly,
  python3-psutil,
  python3-psycopg2,
  python3-pybtex <!nodoc>,
  python3-pycifrw,
- python3-pyepics,
+ python3-pyepics (>= 3.5.0),
  python3-pyfai,
  python3-pymatgen,
  python3-requests,
- python3-scipy,
+ python3-scipy (>= 1.7),
  python3-setuptools,
  python3-setuptools-scm,
- python3-silx,
+ python3-silx (>= 0.15.2),
  python3-skimage,
  python3-sklearn,
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.bibtex <!nodoc>,
  python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  python3-termcolor,
  python3-toml,
- python3-uncertainties,
- python3-wxgtk4.0,
- python3-wxmplot,
- python3-wxutils,
- python3-xraydb,
+ python3-uncertainties (>= 3.1.4),
+ python3-wxgtk4.0 (>= 4.1),
+ python3-wxmplot (>= 0.9.57),
+ python3-wxutils (>= 0.3.0),
+ python3-xraydb (>= 4.5),
  python3-yaml,
 Standards-Version: 4.6.2
 Homepage: https://xraypy.github.io/xraylarch/
@@ -59,8 +76,18 @@
 Architecture: amd64
 Depends:
  feff85exafs,
+ jupyter-client,
+ jupyter-core (>=5.0),
+ jupyter-nbformat,
+ jupyter-notebook,
+ jupyter-server,
+ python3-ipywidgets,
+ python3-plotly,
+ python3-wxmplot (>=0.9.57),
+ python3-wxgtk4.0 (>=4.1),
+ python3-wxutils (>=0.3.0),
+ python3-pyepics (>=3.5.0),
  python3-psycopg2,
- python3-pyepics,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,12 @@
 	$(RM) -rf .eggs/ log*.dat
 	$(RM) -rf xraylarch.egg-info
 	$(RM) -rf doc/_build
+	$(RM) debian/*.desktop
 
 execute_after_dh_auto_build:
+	# generate the desktop files
+	cd $(CURDIR)/debian; ./build-desktop
+
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	# build the doc
 	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \

## xraylarch 0.9.81%2Bds1

=== debian/tests/control ===
Tests: testsuite
Architecture: amd64
Depends:
 python-xraylarch-doc,
 python3-pytest,
 python3-pytest-xvfb,
 @,
Restrictions: allow-stderr

## xraylarch 0.9.81+ds1

=== doc/Makefile ===
--- 
+++ 
@@ -15,19 +15,25 @@
 .PHONY: all install
 
 html:
+	cp sphinx/ext_mathjax.py extensions.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 
 epub:
+	cp sphinx/ext_imgmath.py extensions.py
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 
 
+tarball: html
+	cd $(BUILDDIR)/html && tar cvzf ../../../larch_doc.tgz .
+
 pdf: latex
-	cd $(BUILDDIR)/latex && pdflatex larch.tex
-	cd $(BUILDDIR)/latex && makeindex -s python.ist larch.idx
-	cd $(BUILDDIR)/latex && pdflatex larch.tex
-	cp -pr $(BUILDDIR)/latex/larch.pdf $(BUILDDIR)/.
+	cp sphinx/ext_imgmath.py extensions.py
+	cd $(BUILDDIR)/latex && pdflatex xraylarch.tex
+	cd $(BUILDDIR)/latex && makeindex -s python.ist xraylarch.idx
+	cd $(BUILDDIR)/latex && pdflatex xraylarch.tex
+	cp -pr $(BUILDDIR)/latex/xraylarch.pdf $(BUILDDIR)/.
 
-all: html pdf
+all: html tarball pdf
 
 install: all
 	rm -rf  $(INSTALLDIR)/doc_old
@@ -78,6 +84,7 @@
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
 latex:
+	cp sphinx/ext_imgmath.py extensions.py
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."

=== dylibs/FeffLib/Makefile ===
#
#     == Makefile for Feff6 library ==
#
include Mk.config
include Mk.install

INSTALLNAME = feff6
STATICLIB   = $(DLLPRE)$(INSTALLNAME).a
SHAREDLIB   = $(DLLPRE)$(INSTALLNAME).$(DLLEXT)

.f.o:
	$(F77) -c $*.f

.PHONY: clean install default

default: $(SHAREDLIB)

SRC = sigms.f feff6_interfaces.c
OBJ = sigms.o feff6_interfaces.o

$(SHAREDLIB): $(OBJ)
	$(LINK) -o $(SHAREDLIB) $(OBJ) $(LINK_FFLAGS) $(LINK_CFLAGS) 

$(STATICLIB): $(OBJ)
	$(AR) cru $(STATICLIB) $(OBJ)
	$(RANLIB) $(STATICLIB)

clean :
	rm -f $(OBJ)  $(STATICLIB) $(SHAREDLIB)

install: $(SHAREDLIB)
	cp $(SHAREDLIB) $(INSTALLDIR)/.

distrib:
	mkdir -p src/
	cp $(SRC) $(INC)  src/
	cp $(MAKEFILE) src/Makefile
	tar czvf $(INSTALLNAME)-src.tar.gz src/

=== larch/epics/requirements.txt ===
epics>=3.2.4

=== larch/wxxrd/requirements.txt ===
wx>=2.8.12
pyFAI>=0.12.0

=== doc/sphinx/tex/Makefile ===
# Copyright 2004 Chris Monson (shiblon@gmail.com)
# Latest version available at http://www.bouncingchairs.net/oss
#
#    This file is part of ``Chris Monson's Free Software''.
#
#    ``Chris Monson's Free Software'' is free software; you can redistribute it
#    and/or modify it under the terms of the GNU General Public License as
#    published by the Free Software Foundation, Version 2.
#
#    ``Chris Monson's Free Software'' is distributed in the hope that it will
#    be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
#    Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with ``Chris Monson's Free Software''; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    It is also available on the web at http://www.gnu.org/copyleft/gpl.html
#
#    Note that using this makefile to build your documents does NOT place them
#    under the GPL unless you, the author, specifically do so.  In other words,
#    I, Chris Monson, the copyright holder and author of this makefile,
#    consider it impossible to ``link'' to this makefile in any way covered by
#    the GPL.
#
#
# TO OBTAIN INSTRUCTIONS FOR USING THIS FILE, RUN:
#    make help
#
fileinfo	:= LaTeX Makefile
author		:= Chris Monson
version		:= 2.2.0
#
.DEFAULT_GOAL	:= all
# Note that the user-global version is imported *after* the source directory,
# so that you can use stuff like ?= to get proper override behavior.
.PHONY: Makefile GNUmakefile Makefile.ini $(HOME)/.latex-makefile/Makefile.ini
-include Makefile.ini
-include $(HOME)/.latex-makefile/Makefile.ini
# Better names for these things
.PHONY: Variables.ini $(HOME)/.latex-makefile/Variables.ini
-include Variables.ini
-include $(HOME)/.latex-makefile/Variables.ini
#
# This can be pdflatex or latex - you can change this by adding the following line to your Makefile.ini:
# BUILD_STRATEGY := latex
BUILD_STRATEGY		?= pdflatex
#
# Sets LC_ALL=C, by default, so that the locale-aware tools, like sort, be
# # immune to changes to the locale in the user environment.
export LC_ALL		?= C
#
#
# If you specify sources here, all other files with the same suffix
# will be treated as if they were _include_ files.
#onlysources.tex	?= main.tex
#onlysources.tex.sh	?=
#onlysources.tex.pl	?=
#onlysources.tex.py	?=
#onlysources.rst	?=
#onlysources.fig	?=
#onlysources.gpi	?=
#onlysources.dot	?=
#onlysources.xvg	?=
#onlysources.svg	?=
#onlysources.eps.gz	?=
#onlysources.eps	?=
#
# If you list files here, they will be treated as _include_ files
#includes.tex		?= file1.tex file2.tex
#includes.tex.sh	?=
#includes.tex.pl	?=
#includes.tex.py	?=
#includes.rst		?=
#includes.fig		?=
#includes.gpi		?=
#includes.dot		?=
#includes.xvg		?=
#includes.svg		?=
#includes.eps.gz	?=
#includes.eps		?=
#
# If you list files or wildcards here, they will *not* be cleaned - default is
# to allow everything to be cleaned.
#neverclean		?= *.pdf
#
# Alternatively (recommended), you can add those lines to a Makefile.ini file
# and it will get picked up automatically without your having to edit this
# Makefile.
#
# KNOWN ISSUES:
# * The following occurs:
#   file with: \usepackage{named}\bibliographystyle{named}
#   Compile
#   change to: \usepackage{apalike}\bibliographystyle{apalike}
#   Compile again -- BARF!
#
#   The workaround: make clean-nographics; make
#
#   Note that we may not be able to fix this.  LaTeX itself barfs
#   on this, not the makefile.  The very first invocation of LaTeX
#   (when something like this has happened) reads the existing .aux
#   file and discovers invalid commands like \citeauthoryear that
#   are only valid in the package that was just removed.  It then
#   tries to parse them and explodes.  It's not at all clear to me
#   how to fix this.  I tried removing the .aux files on the first
#   run of LaTeX, but that necessarily requires more subsequent
#   rebuilds on common edits.  There does not appear to be a
#   graceful solution to this issue.
#
#
# CHANGES:
# Chris Monson (2011-05-20):
# * Bumped version to 2.2.0 (release!)
# Chris Monson (2011-05-19):
# * Bumped version to 2.2.0-rc15
# * Issue 125: infinite recursion with nomenclature files
# * Issue 125: removed .d as a target for .nls in get-log-index
# * Cleaned up invocation of run-makeindex to take an optional .ist instead of flags.
# Chris Monson (2011-04-06):
# * Bumped version to 2.2.0-rc14
# * Issue 121: Added Targets.ini and corresponding help text for it.
# * Issue 121: Added Variables.ini (Makefile.ini still works, though).
# * Issue 121: Added .DEFAULT_GOAL optional setting.
# * Issue 120: xindy compatibility
# Chris Monson (2011-03-16):
# * Bumped version to 2.2.0-rc13
# * Fixed a bug in kspewhich invocation - random characters and a missing pipe.
# * Added font embedding to gnuplot output.
# Chris Monson (2011-03-15):
# * Bumped version to 2.2.0-rc12
# * Issue 119: Annoying warning from which if Gnuplot not installed.
# * Fixed catchall error output to show more info from the log.  Cutting off the
#     first line is too jarring.
# * Issue 118: Better glossary support
# Chris Monson (2011-03-03):
# * Bumped version to 2.2.0-rc11
# * Issue 112: Fixed regression introduced by use of cygpath (ugly warnings)
# Chris Monson (2011-02-03):
# * Bumped version to 2.2.0-rc10
# * Issue 112: Added path normalization for cygwin systems
# * Fixed a bug in get-missing-inputs where we weren't specifying target files
# Chris Monson (2011-01-24):
# * Issue 111: Added .jpeg as a possible image extension
# Chris Monson (2011-01-21):
# * Issue 110: Long filenames not produced correctly in .d file
# * Fixed problem with unknown control sequence error parsing
# * Fixed problem with \r in fatal output (was interpreted as LF by echo)
# * Removed a spurious "hi"
# Chris Monson (2011-01-14):
# * Bumped version to 2.2.0-rc8
# * Issue 107: Removed comment with embedded newline, fixing MinGW on Windows 7.
# Chris Monson (2011-01-07):
# * Emit an error if .gpi.d files have dependencies with : in the name
# Chris Monson (2011-01-05):
# * Bumped version to 2.2.0-rc7
# * Issue 106: existing graphic dependencies not generated correctly
# Chris Monson (2011-01-04):
# * Issue 106: not cleaning eps log files properly
# * Issue 106: not rebuilding after creating .pdf graphics from .eps
# * Issue 94: svg going unnecessarily through eps (can't reproduce)
# Chris Monson (2010-12-31):
# * Issue 100: make hanging because of faulty graphics detection (sed bug)
# * Issue 108: do not ignore fatal errors from pdftex
# Chris Monson (2010-12-23):
# * Added gpi_global to gnuplot dependencies so that changes are detected
# Chris Monson (2010-12-20):
# * Updated build file to be smarter about Python version detection
# * Created a bunch of test files and supporting scripts
# * Issue 72: added apacite capaability (thanks to matkarat)
# Chris Monson (2010-11-23):
# * Changed to multi-part makefile build (split out sed scripts)
# * Added build script and supporting infrastructure
# * Updated test directory format
# * Added notes about needed test cases
# * Changed to use -file-line-error and fixed multiple inclusion/error bugs
# * Added run_sed.py to allow easy testing of sed scripts outside of make
# Chris Monson (2010-11-11):
# * Bumped version to 2.2.0-rc7
# * issue 92: broken hyperref driver detection fixed
# * issue 101: Broken inkscape conversion
# * issue 102: Broken specification of font size for gnuplot pdfcairo
# * Added KEEP_TEMP so that we can avoid deleting useful temporaries for debugging
# * Restructured gnuplot code to be easier to follow
# * Fixed a bug in convert-gpi where we were using $< instead of $1
# Chris Monson (2010-11-03):
# * Bumped version to 2.2.0-rc6
# * issue 96: Fix sed errors when using make variables in substitutions
# Chris Monson (2010-07-28):
# * Bumped version to 2.2.0-rc5 (rc4 is broken)
# * Bail out when we find the use of the import.sty package
# * Issue 90: Add -z to dvips invocation
# * Issue 67: Add xelatex support (thanks to Nikolai Prokoschenko for the patch!)
# * Issue 85: Add warning about make 3.80
# Chris Monson (2010-06-20):
# * Bumped version to 2.2.0-rc3
# * Attempt to fix bug with ! error detection (issue 88)
# * Added svg->pdf direct support (issue 89)
# Chris Monson (2010-04-28):
# * Bumped version to 2.2.0-rc2
# * Fixed %._show target
# Chris Monson (2010-04-08):
# * Bumped version to 2.2.0-rc1
# * Added back in the rst_style_file stuff that got broken when switching
#     rst -> tex to use the script mechanism
# Chris Monson (2010-03-23):
# * Bumped version to 2.2.0-beta8
# * Work on issue 76: bad backtick escape for some sed versions, failure
#     to clear out the hold buffer when outputting MISSING comment.
#     - Backed out 2>&1 to &> (doesn't work in sh)
#     - Backed out using . to source variables
# Chris Monson (2010-03-22):
# * Bumped version to 2.2.0-beta7
# * Issue 72: Fix latex/bibtex invocation order for annotated bib styles
# * Fixed informational output to reflect which LaTeX run we're on
# * Fixed graphic detection to include graphics that are already there in
#     .d files
# * Tightened up the .d file output to only make .d depend on graphic
#     *source* files.  This means that building foo.d no longer
#     builds all of the graphics files on which foo.tex depends.
#     Had to use .SECONDEXPANSION trickery to make it work.
# * Changed get-graphics to only accept a stem.
# * Fixed build-once logic for scripted .tex to work better
# * Made get-inputs sed script more maintainable.
# * Moved Makefile.ini import up higher.
# * Changed bare stems to not recursively invoke make
# * Updated diff output to be more silent everywhere
# * Added a MISSING comment to the .d file if stuff isn't found - forces
#     removal of .1st.make file, which often forces it to try again.
# * Fixed broken graphics-target function
# * Added sleep to .d file generation when stuff is missing - if it
#     builds too fast, make doesn't realize it needs to be reloaded,
#     and thus never discovers some deeper dependencies (especially
#     evident when graphics are included from scripted include
#     files).
# Chris Monson (2010-03-17):
# * Bumped version to 2.2.0-beta6
# * Fixed bareword builds to actually work (requires static patterns)
# * Fixed colorization to work with new paragraph stuff
# Chris Monson (2010-03-17):
# * Bumped version to 2.2.0-beta5
# * Fixed graphic detection to be much more focused - splits log file
#     into paragraphs before doing pattern matching.
# * Fixed make foo to work properly (recursively calls make foo.pdf)
# * Fixed gpi -> pdf generation to not waste time building .eps *after*
#     the pdf already exists.
# * Changed log copies to include MAKE_RESTARTS as part of the name.
# * Fixed missing include file detection (also makes use of the paragraph
#     stuff) to detect missing scripted include files.
# Chris Monson (2010-03-16):
# * Bumped version to 2.2.0-beta4
# * issue 70: .pdf not moved out of the way properly on first
#     compilation, resulting in early error detection failure.
# * issue 74: fixed broken error on missing .aux files: the
#     implementation was masking real errors.
# Chris Monson (2010-03-15):
# * Bumped version to 2.2.0-beta3
# * issue 71: Made the tput dependency optional
# * issue 73: Made .tex targets not pull in .d files (building them from
#     scripts should not require a .d)
# * issue 74: Output a much saner error when a .aux file is not produced
#     (e.g., when you are typing "make" without arguments in a
#     directory with included .tex files that are not named with
#     ._include_.)
# Chris Monson (2010-03-11):
# * Bumped version to 2.2.0-beta2
# * Fixed clean-graphics to get rid of intermediate .eps files that may
#     be hanging around

=== debian/changelog ===
xraylarch (0.9.81+ds1-3) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-toml

  [ Sébastien Delafond ]
  * Remove Freexian Packaging Team from uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 00:13:53 +0200

xraylarch (0.9.81+ds1-2) unstable; urgency=medium

  * Bug fix: "ships coverage data directly under
    /usr/lib/python3/dist-packages", thanks to Chris Lamb (Closes:
    #1085381).

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2024 16:58:10 +0200

xraylarch (0.9.81+ds1-1) unstable; urgency=medium

  * New upstream release.
  * This fixes: "removal of Python standard libraries in Python 3.13",
    thanks to Louis-Philippe Véronneau (Closes: #1084586).
  * This also fixes: "tests fail with scipy 1.14", thanks to Drew Parsons
    (Closes: #1079679).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1046716).
  * Run testsuite at build time.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Oct 2024 22:02:17 +0200

xraylarch (0.9.74+ds1-2) UNRELEASED; urgency=medium

  * d/control: add myself to Uploaders.
  * d/patches: fix detection of homedir in a pbuilder
    chroot. Incidentally, this fixes "FTBFS: unsatisfiable
    build-dependencies", thanks to Santiago Vila (Closes: #1071898), even
    though it's for different reasons.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Oct 2024 19:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Andrius Merkys <merkys@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -15,44 +15,46 @@
  dh-sequence-sphinxdoc <!nodoc>,
  feff85exafs,
  jupyter-client,
- jupyter-core (>= 5.0),
+ jupyter-core,
  jupyter-nbformat,
  jupyter-notebook,
  jupyter-server,
  pybuild-plugin-pyproject,
  python-scipy-doc <!nodoc>,
  python3-all,
- python3-asteval (>= 0.9.28),
+ python3-asteval,
  python3-charset-normalizer,
  python3-dill,
  python3-doc <!nodoc>,
  python3-fabio,
- python3-h5py (>= 3.2),
+ python3-h5py,
  python3-hdf5plugin,
  python3-imageio,
  python3-ipywidgets,
- python3-lmfit (>= 1.2.1),
- python3-matplotlib (>= 3.5),
+ python3-lmfit,
+ python3-matplotlib,
  python3-mp-api,
- python3-numexpr (>= 2.8.7),
- python3-numpy (>= 1.20),
+ python3-numexpr,
+ python3-numpy,
  python3-numpydoc <!nodoc>,
  python3-pandas,
  python3-peakutils,
- python3-pil (>= 8.3.2),
+ python3-pil,
  python3-plotly,
  python3-psutil,
  python3-psycopg2,
  python3-pybtex <!nodoc>,
  python3-pycifrw,
- python3-pyepics (>= 3.5.0),
+ python3-pyepics,
  python3-pyfai,
  python3-pymatgen,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-requests,
- python3-scipy (>= 1.7),
+ python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
- python3-silx (>= 0.15.2),
+ python3-silx,
  python3-skimage,
  python3-sklearn,
  python3-sphinx <!nodoc>,
@@ -60,14 +62,14 @@
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-termcolor,
- python3-toml,
- python3-uncertainties (>= 3.1.4),
- python3-wxgtk4.0 (>= 4.1),
+ python3-tomli-w,
+ python3-uncertainties,
+ python3-wxgtk4.0,
  python3-wxmplot (>= 0.9.57),
  python3-wxutils (>= 0.3.0),
- python3-xraydb (>= 4.5),
+ python3-xraydb,
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://xraypy.github.io/xraylarch/
 Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
 Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git
@@ -77,17 +79,18 @@
 Depends:
  feff85exafs,
  jupyter-client,
- jupyter-core (>=5.0),
+ jupyter-core,
  jupyter-nbformat,
  jupyter-notebook,
  jupyter-server,
  python3-ipywidgets,
  python3-plotly,
- python3-wxmplot (>=0.9.57),
- python3-wxgtk4.0 (>=4.1),
- python3-wxutils (>=0.3.0),
- python3-pyepics (>=3.5.0),
  python3-psycopg2,
+ python3-pyepics,
+ python3-tomli-w,
+ python3-wxgtk4.0,
+ python3-wxmplot (>= 0.9.57),
+ python3-wxutils (>= 0.3.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,10 @@
 
 export DH_VERBOSE=1
 export PYBUILD_NAME=xraylarch
+export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/htmlcov/
 
 %:
 	dh $@ --buildsystem=pybuild
-
-
-execute_after_dh_auto_clean:
-	find . -name "*.pyc" -delete
-	$(RM) -rf .eggs/ log*.dat
-	$(RM) -rf xraylarch.egg-info
-	$(RM) -rf doc/_build
-	$(RM) debian/*.desktop
 
 execute_after_dh_auto_build:
 	# generate the desktop files
@@ -32,6 +25,3 @@
 	find -name gse_xrfmap.ico -exec chmod 0644 {} \;
 	find examples/ -executable -type f -exec chmod 0644 {} \;
 	dh_install -p python3-xraylarch debian/*.desktop ./usr/share/applications/
-
-# not test for now
-override_dh_auto_test:

=== debian/watch ===
version=4

opts="repacksuffix=+ds1,dversionmangle=auto,repack,compression=gz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/xraypy/xraylarch/tags .*/(\d[\d\.]*)\.tar\.gz debian uupdate
